Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.control
Class IncomingActionResponseMessage

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<UpnpResponse>
          org.teleal.cling.model.message.StreamResponseMessage
              org.teleal.cling.model.message.control.IncomingActionResponseMessage

All Implemented Interfaces:
  ActionMessage, ActionResponseMessage

    public class IncomingActionResponseMessage

extends StreamResponseMessage
implements ActionResponseMessage

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`IncomingActionResponseMessage(StreamResponseMessage source)`
`IncomingActionResponseMessage(UpnpResponse operation)`

Method Summary
`String` | `getActionNamespace()`
`boolean` | `isFailedNonRecoverable()`
`boolean` | `isFailedRecoverable()`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.teleal.cling.model.message.control.ActionMessage
`getBody, getBodyBytes, getBodyString, getBodyType, setBody`

Constructor Detail

### IncomingActionResponseMessage

    public IncomingActionResponseMessage(StreamResponseMessage source)

### IncomingActionResponseMessage

    public IncomingActionResponseMessage(UpnpResponse operation)

Method Detail

### getActionNamespace

    public String getActionNamespace()

  Specified by:
    `getActionNamespace` in interface `ActionMessage`

### isFailedNonRecoverable

    public boolean isFailedNonRecoverable()

### isFailedRecoverable

    public boolean isFailedRecoverable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.